Create a token and mint
curl --request POST \
--url https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ownerAddress": "<string>",
"info": "<string>",
"symbol": "<string>",
"quantity": 123,
"key": "<string>"
}
'import requests
url = "https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens"
payload = {
"ownerAddress": "<string>",
"info": "<string>",
"symbol": "<string>",
"quantity": 123,
"key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ownerAddress: '<string>',
info: '<string>',
symbol: '<string>',
quantity: 123,
key: '<string>'
})
};
fetch('https://omnisafe.sandbox.ecrop.de/omni-safe/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Token Management
Token
This endpoint creates a new token and mints an initial supply to a specified owner address. The token’s parameters, such as its symbol, initial quantity, and owner, are specified in the request body. Under the hood, OmniSafe handles the necessary blockchain interactions to register the token and assign the initial tokens to the owner on the blockchain.
POST
/
v1
/
tokens
Create a token and mint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
201 - text/plain
The created token address
The created token address